Orgs Knowledge
Update Content URL
Update the URL of an existing content.
PATCH
/
orgs
/
{org_id}
/
knowledge
/
contents
/
{content_id}
/
url
Update Content URL
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/knowledge/contents/{content_id}/url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exclude_path_patterns": [
"/admin/*",
"/private/*"
],
"include_path_patterns": [
"/docs/*",
"/api/*"
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/knowledge/contents/{content_id}/url"
payload = {
"exclude_path_patterns": ["/admin/*", "/private/*"],
"include_path_patterns": ["/docs/*", "/api/*"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exclude_path_patterns: ['/admin/*', '/private/*'],
include_path_patterns: ['/docs/*', '/api/*']
})
};
fetch('https://api.useinvent.com/orgs/{org_id}/knowledge/contents/{content_id}/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"type": "TEXT",
"content": {
"type": "TEXT",
"text": "<string>"
},
"size": 123,
"chunks_processed": 123,
"chunks_count": 123,
"error": "<string>",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_content_id": "<string>",
"children": [
{
"id": "<string>",
"status": "PENDING",
"title": "<string>",
"content": {
"type": "TEXT",
"text": "<string>"
},
"size": 123,
"chunks_processed": 123,
"chunks_count": 123,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_content_id": "<string>"
}
]
}Authorizations
Bearer token authentication using your API key
Body
application/jsonmultipart/form-data
Schema for updating a vector
Exclude paths patterns
Maximum array length:
256Maximum string length:
2048Example:
["/admin/*", "/private/*"]
Include paths patterns
Maximum array length:
256Maximum string length:
2048Example:
["/docs/*", "/api/*"]
Mode of URL content processing
Available options:
CRAWL, SINGLE_URL Response
200 - application/json
Schema for vector content
Title of the vector
Type of the vector content
Available options:
TEXT, FILE, URL Content configuration schema for different vector input types
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Size of the vector in bytes
Number of chunks processed for the vector
Number of chunks in the vector
Error message if vector processing failed
Status of vector processing
Available options:
PENDING, PROCESSING, PROCESSED, FAILED Parent content ID
Children (for URL crawl parents)
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update Content URL
